CMSIS-DSP: arm_vlog_f16.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_vlog_f16.c File Reference

## Macros

#define | NB_DEG_LOGF16
#define | NB_DIV_LOGF16
#define | NB_LUT_LOGF16

## Functions

float16_t | logf16_scalar (float16_t x)
void | arm_vlog_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Floating-point vector of log values. More...

## Macro Definition Documentation

#define NB_DEG_LOGF16

#define NB_DIV_LOGF16

#define NB_LUT_LOGF16

## Function Documentation

float16_t logf16_scalar | ( | float16_t | x | ) |